FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 03-21-2008, 02:18 PM
Dan Johansson
 
Default ebuild does not honnor PROVIDE direktive

I'm trying to install the courier-suite (version 0.58.0 from Bernd Wurst) on
one of my testservers.
When I run "emerge --verbose --pretend --tree courier" I get the following
output:
[ebuild N ] mail-mta/courier-0.58.0 USE="crypt fam ldap nls nowebadmin
nowebmail -fax -ipv6 -mailwrapper -mysql -norewrite -pam -postgres -spell"
6,957 kB [1]
[ebuild N ] app-crypt/gnupg-2.0.7-r1 USE="bzip2
nls -doc -ldap -openct -pcsc-lite (-selinux) -smartcard" 3,526 kB
[ebuild N ] mail-mta/ssmtp-2.61-r2 USE="ssl -ipv6 -mailwrapper -md5sum"
53 kB
[ebuild N ] dev-libs/libksba-1.0.2-r1 514 kB
[ebuild N ] net-misc/curl-7.17.1
USE="ssl -ares -gnutls -idn -ipv6 -kerberos -ldap -nss -test" 1,682 kB
[ebuild N ] app-crypt/pinentry-0.7.4-r1 USE="-caps -gtk -ncurses -qt3"
407 kB
[ebuild N ] dev-libs/libassuan-1.0.4 291 kB
[ebuild N ] net-libs/courier-authlib-0.60.2 USE="crypt
ldap -berkdb -debug -gdbm -mysql -pam -postgres -vpopmail" 2,108 kB [1]
[ebuild N ] sys-libs/db-4.5.20_p2
USE="-bootstrap -doc -java -nocxx -tcl -test" 9,068 kB
[ebuild N ] sys-libs/gdbm-1.8.3-r3 USE="-berkdb" 224 kB
[ebuild N ] dev-libs/libpcre-7.6-r1 USE="bzip2 cxx unicode zlib -doc"
785 kB
[ebuild N ] net-nds/openldap-2.3.41 USE="crypt minimal sasl ssl
tcpd -berkdb -debug -gdbm -ipv6 -kerberos -odbc -overlays -perl -samba
(-selinux) -slp -smbkrb5passwd" 3,712 kB
[ebuild N ] dev-libs/cyrus-sasl-2.1.22-r2 USE="crypt ssl
urandom -authdaemond -berkdb -gdbm -java -kerberos -ldap -mysql -ntlm_unsupported_patch -pam -postgres -sample -srp"
1,572 kB
[ebuild NS ] sys-devel/automake-1.7.9-r1 565 kB
[ebuild N ] app-misc/mime-types-7 7 kB
[nomerge ] dev-libs/libassuan-1.0.4
[ebuild N ] dev-libs/pth-2.0.7-r1 USE="-debug" 638 kB
[nomerge ] app-crypt/gnupg-2.0.7-r1 USE="bzip2
nls -doc -ldap -openct -pcsc-lite (-selinux) -smartcard"
[ebuild N ] dev-libs/libgcrypt-1.4.0-r1 USE="nls -bindist -idea" 943 kB
[ebuild N ] dev-libs/libgpg-error-1.6 USE="nls" 374 kB
[blocks B ] mail-mta/ssmtp (is blocking mail-mta/courier-0.58.0)
[blocks B ] mail-mta/courier (is blocking mail-mta/ssmtp-2.61-r2)

What I can't understand is why emerge is trying to emerge ssmtp. I see that
gnupg-2.0.7-r1 has a RDEPEND on virtual/mta which courier and ssmtp PROVIDE.
Can someone share som light why emerge doesn't use the PROVIDE="virtual/mta
virtual/mda virtual/imapd" line in courier-0.58.0.ebuild.

--
Dan Johansson, <http://www.dmj.nu>
************************************************** *
This message is printed on 100% recycled electrons!
************************************************** *
 
Old 03-21-2008, 02:26 PM
Neil Bothwick
 
Default ebuild does not honnor PROVIDE direktive

On Fri, 21 Mar 2008 16:18:31 +0100, Dan Johansson wrote:

> [ebuild N ] mail-mta/courier-0.58.0 USE="crypt fam ldap nls
> nowebadmin nowebmail -fax -ipv6 -mailwrapper -mysql -norewrite -pam
> -postgres -spell" 6,957 kB [1]
> [ebuild N ] app-crypt/gnupg-2.0.7-r1 USE="bzip2
> nls -doc -ldap -openct -pcsc-lite (-selinux) -smartcard" 3,526 kB
> [ebuild N ] mail-mta/ssmtp-2.61-r2 USE="ssl -ipv6 -mailwrapper
> -md5sum" 53 kB
> [blocks B ] mail-mta/ssmtp (is blocking mail-mta/courier-0.58.0)
> [blocks B ] mail-mta/courier (is blocking mail-mta/ssmtp-2.61-r2)
>
> What I can't understand is why emerge is trying to emerge ssmtp. I see
> that gnupg-2.0.7-r1 has a RDEPEND on virtual/mta which courier and
> ssmtp PROVIDE. Can someone share som light why emerge doesn't use the
> PROVIDE="virtual/mta virtual/mda virtual/imapd" line in
> courier-0.58.0.ebuild.

Because at the time gnupg is to emerge, courier is not installed, so it
uses the default mta, which is ssmtp. You could try

USE="-crypt" emerge courier

to install it without needing gnupg, then emerge it normally. Then gnupg
will be pulled in, but courier will already satisfy the virtual/mta
dependency.


--
Neil Bothwick

No, you *can't* call 999 now. I'm downloading my mail.
 
Old 03-21-2008, 03:36 PM
Dan Johansson
 
Default ebuild does not honnor PROVIDE direktive

On Friday 21 March 2008, Neil Bothwick wrote:
> On Fri, 21 Mar 2008 16:18:31 +0100, Dan Johansson wrote:
> > [ebuild N ] mail-mta/courier-0.58.0 USE="crypt fam ldap nls
> > nowebadmin nowebmail -fax -ipv6 -mailwrapper -mysql -norewrite -pam
> > -postgres -spell" 6,957 kB [1]
> > [ebuild N ] app-crypt/gnupg-2.0.7-r1 USE="bzip2
> > nls -doc -ldap -openct -pcsc-lite (-selinux) -smartcard" 3,526 kB
> > [ebuild N ] mail-mta/ssmtp-2.61-r2 USE="ssl -ipv6 -mailwrapper
> > -md5sum" 53 kB
> > [blocks B ] mail-mta/ssmtp (is blocking mail-mta/courier-0.58.0)
> > [blocks B ] mail-mta/courier (is blocking mail-mta/ssmtp-2.61-r2)
> >
> > What I can't understand is why emerge is trying to emerge ssmtp. I see
> > that gnupg-2.0.7-r1 has a RDEPEND on virtual/mta which courier and
> > ssmtp PROVIDE. Can someone share som light why emerge doesn't use the
> > PROVIDE="virtual/mta virtual/mda virtual/imapd" line in
> > courier-0.58.0.ebuild.
>
> Because at the time gnupg is to emerge, courier is not installed, so it
> uses the default mta, which is ssmtp. You could try
>
> USE="-crypt" emerge courier
>
> to install it without needing gnupg, then emerge it normally. Then gnupg
> will be pulled in, but courier will already satisfy the virtual/mta
> dependency.

THANKS, that did it. (:-)

--
Dan Johansson, <http://www.dmj.nu>
************************************************** *
This message is printed on 100% recycled electrons!
************************************************** *
 

Thread Tools




All times are GMT. The time now is 03:12 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org